flsupport.h File Reference

flext support functions and classes
More...

`#include "flstdc.h"`
`#include <new>`
`#include <cstring>`
`#include "flpushns.h"`
`#include "flpopns.h"`

Go to the source code of this file.

## Macros

#define | NEWTHROW throw(std::bad_alloc)
#define | DELTHROW throw()

## Functions

FLEXT_TEMPLATE class FLEXT_SHARE | FLEXT_CLASSDEF (flext_root)
typedef | FLEXT_TEMPINST (FLEXT_SHARE FLEXT_CLASSDEF(flext_root)) flext_root
void * | operator new (size_t bytes) throw (std::bad_alloc)
void | operator delete (void *blk) throw ()
void * | operator new[] (size_t bytes) throw (std::bad_alloc)
void | operator delete[] (void *blk) throw ()
FLEXT_TEMPLATE class FLEXT_SHARE | FLEXT_CLASSDEF (flext)
typedef | FLEXT_TEMPINST (FLEXT_CLASSDEF(flext)) flext
FLEXT_TEMPLATE class FLEXT_SHARE | FLEXT_CLASSDEF (flext_base)
bool | operator== (const t_atom &a, const t_atom &b)
bool | operator!= (const t_atom &a, const t_atom &b)
bool | operator< (const t_atom &a, const t_atom &b)
bool | operator<= (const t_atom &a, const t_atom &b)
bool | operator> (const t_atom &a, const t_atom &b)
bool | operator>= (const t_atom &a, const t_atom &b)

## Detailed Description

flext support functions and classes